<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping
  PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="false" default-cascade="all-delete-orphan" default-lazy="false">
   <class discriminator-value="[magoffin.matt.ieat.domain.Meal]"
          name="magoffin.matt.ieat.domain.Meal"
          table="meal">
      <cache usage="read-write"/>
      <id access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
          name="MealId"
          type="org.hibernate.type.LongType"
          unsaved-value="null">
         <column name="mealid" not-null="true"/>
         <generator class="native"/>
      </id>
      <discriminator formula="'magoffin.matt.ieat.domain.Meal'" type="org.hibernate.type.StringType"/>
      <many-to-one cascade="none" class="magoffin.matt.ieat.domain.User"
                   foreign-key="meal_user_fk"
                   insert="true"
                   name="Owner"
                   update="false">
         <column name="ownerid"/>
      </many-to-one>
      <list access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.ListAccessor"
            lazy="false"
            name="Recipe"
            table="Meal_Recipe">
         <cache usage="read-write"/>
         <key foreign-key="mealrecipe_meal_fk">
            <column name="mealid"/>
         </key>
         <list-index>
            <column name="pos"/>
         </list-index>
         <one-to-many class="magoffin.matt.ieat.domain.MealRecipe"/>
      </list>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Name">
         <column length="128" name="meal_name" not-null="true"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <subclass discriminator-value="magoffin.matt.ieat.domain.Meal"
                name="magoffin.matt.ieat.domain.impl.MealImpl"/>
   </class>
</hibernate-mapping>